<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsQuaternion Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_quaternion-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsQuaternion Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A class that implements a quaternion.  
 <a href="struct_xs_quaternion.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a97921cb94dd7a9f982c3ae2451e7547e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97921cb94dd7a9f982c3ae2451e7547e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a97921cb94dd7a9f982c3ae2451e7547e">XsQuaternion</a> (XsReal w_=<a class="el" href="group__cinterface.html#ga1f2a42313dfb3c1b1fb4068e85bd2092">XsMath_zero</a>, XsReal x_=<a class="el" href="group__cinterface.html#ga1f2a42313dfb3c1b1fb4068e85bd2092">XsMath_zero</a>, XsReal y_=<a class="el" href="group__cinterface.html#ga1f2a42313dfb3c1b1fb4068e85bd2092">XsMath_zero</a>, XsReal z_=<a class="el" href="group__cinterface.html#ga1f2a42313dfb3c1b1fb4068e85bd2092">XsMath_zero</a>)</td></tr>
<tr class="memdesc:a97921cb94dd7a9f982c3ae2451e7547e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a quaternion with the supplied values, or zero's by default. <br /></td></tr>
<tr class="separator:a97921cb94dd7a9f982c3ae2451e7547e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3b492823f66d3102956c41e16189da4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad3b492823f66d3102956c41e16189da4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#ad3b492823f66d3102956c41e16189da4">XsQuaternion</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;other)</td></tr>
<tr class="memdesc:ad3b492823f66d3102956c41e16189da4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a quaternion with the supplied values from the <em>other</em> Quaternion. <br /></td></tr>
<tr class="separator:ad3b492823f66d3102956c41e16189da4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c30c404abee1cfee1d5ea742b4ff9ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c30c404abee1cfee1d5ea742b4ff9ef"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a2c30c404abee1cfee1d5ea742b4ff9ef">XsQuaternion</a> (const <a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;euler)</td></tr>
<tr class="memdesc:a2c30c404abee1cfee1d5ea742b4ff9ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a quaternion by converting from an <a class="el" href="struct_xs_euler.html" title="Contains Euler Angle data and conversion from Quaternion. ">XsEuler</a> object. <br /></td></tr>
<tr class="separator:a2c30c404abee1cfee1d5ea742b4ff9ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ee8ac479e5164e42e5b3bcec282737"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8ee8ac479e5164e42e5b3bcec282737"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#af8ee8ac479e5164e42e5b3bcec282737">XsQuaternion</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;ori)</td></tr>
<tr class="memdesc:af8ee8ac479e5164e42e5b3bcec282737"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a quaternion by converting from an <a class="el" href="struct_xs_matrix.html" title="A class that represents a matrix of real numbers. ">XsMatrix</a> rotation matrix object. <br /></td></tr>
<tr class="separator:af8ee8ac479e5164e42e5b3bcec282737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75c9e05aba3e8d9b89cf5bed9b5760fe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75c9e05aba3e8d9b89cf5bed9b5760fe"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a75c9e05aba3e8d9b89cf5bed9b5760fe">~XsQuaternion</a> ()</td></tr>
<tr class="memdesc:a75c9e05aba3e8d9b89cf5bed9b5760fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor, intentionally empty. <br /></td></tr>
<tr class="separator:a75c9e05aba3e8d9b89cf5bed9b5760fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac984161f0d1174275234deaacd6c7737"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac984161f0d1174275234deaacd6c7737"></a>
<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#ac984161f0d1174275234deaacd6c7737">operator=</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;other)</td></tr>
<tr class="memdesc:ac984161f0d1174275234deaacd6c7737"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assigns the <em>other</em> quaternion to this quaternion. <br /></td></tr>
<tr class="separator:ac984161f0d1174275234deaacd6c7737"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9e940bcd33da1275918bbaa8ca00c8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9e940bcd33da1275918bbaa8ca00c8e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#ac9e940bcd33da1275918bbaa8ca00c8e">assign</a> (XsReal w_, XsReal x_, XsReal y_, XsReal z_)</td></tr>
<tr class="memdesc:ac9e940bcd33da1275918bbaa8ca00c8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Quaternion to these specific values. <br /></td></tr>
<tr class="separator:ac9e940bcd33da1275918bbaa8ca00c8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9e08d5ab8b46d8d0a3d968b9961a58f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#ad9e08d5ab8b46d8d0a3d968b9961a58f">assign</a> (const XsReal *values)</td></tr>
<tr class="memdesc:ad9e08d5ab8b46d8d0a3d968b9961a58f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the Quaternion to the specific values in the supplied array.  <a href="#ad9e08d5ab8b46d8d0a3d968b9961a58f">More...</a><br /></td></tr>
<tr class="separator:ad9e08d5ab8b46d8d0a3d968b9961a58f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1b6773742d2fea125541ee6cadd902e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1b6773742d2fea125541ee6cadd902e"></a>
XsReal &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#ac1b6773742d2fea125541ee6cadd902e">operator[]</a> (XsSize index)</td></tr>
<tr class="memdesc:ac1b6773742d2fea125541ee6cadd902e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a reference to the <em>index'th</em> component of the quaternion. <br /></td></tr>
<tr class="separator:ac1b6773742d2fea125541ee6cadd902e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c9d8024e0dab7697b3f2fc713115c90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c9d8024e0dab7697b3f2fc713115c90"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a1c9d8024e0dab7697b3f2fc713115c90">operator[]</a> (XsSize index) const </td></tr>
<tr class="memdesc:a1c9d8024e0dab7697b3f2fc713115c90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the <em>index'th</em> component of the quaternion. <br /></td></tr>
<tr class="separator:a1c9d8024e0dab7697b3f2fc713115c90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af87e7631ac323727963d0df024d4da38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af87e7631ac323727963d0df024d4da38"></a>
const XsReal *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#af87e7631ac323727963d0df024d4da38">data</a> () const </td></tr>
<tr class="memdesc:af87e7631ac323727963d0df024d4da38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a const pointer to the internal data. <br /></td></tr>
<tr class="separator:af87e7631ac323727963d0df024d4da38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ed99196f31a83677c1267cab668a370"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_quaternion.html">XsQuaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a8ed99196f31a83677c1267cab668a370">inverse</a> () const </td></tr>
<tr class="memdesc:a8ed99196f31a83677c1267cab668a370"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the inverse/conjugate of this quaternion.  <a href="#a8ed99196f31a83677c1267cab668a370">More...</a><br /></td></tr>
<tr class="separator:a8ed99196f31a83677c1267cab668a370"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab499deba1d1bf69c98ac099a24e74b31"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_quaternion.html">XsQuaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#ab499deba1d1bf69c98ac099a24e74b31">conjugate</a> () const </td></tr>
<tr class="memdesc:ab499deba1d1bf69c98ac099a24e74b31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the inverse/conjugate of this quaternion.  <a href="#ab499deba1d1bf69c98ac099a24e74b31">More...</a><br /></td></tr>
<tr class="separator:ab499deba1d1bf69c98ac099a24e74b31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a329813e64c445b67bd0ed00aece06831"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_quaternion.html">XsQuaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a329813e64c445b67bd0ed00aece06831">normalized</a> () const </td></tr>
<tr class="memdesc:a329813e64c445b67bd0ed00aece06831"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a normalized version of the quaternion.  <a href="#a329813e64c445b67bd0ed00aece06831">More...</a><br /></td></tr>
<tr class="separator:a329813e64c445b67bd0ed00aece06831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a2db4f6eba49aa30c06c9e7ed55a309"><td class="memItemLeft" align="right" valign="top">XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a8a2db4f6eba49aa30c06c9e7ed55a309">normalize</a> ()</td></tr>
<tr class="memdesc:a8a2db4f6eba49aa30c06c9e7ed55a309"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize the quaternion.  <a href="#a8a2db4f6eba49aa30c06c9e7ed55a309">More...</a><br /></td></tr>
<tr class="separator:a8a2db4f6eba49aa30c06c9e7ed55a309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a538d9b5fa6a33aa11cccb61caec3b537"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a538d9b5fa6a33aa11cccb61caec3b537"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a538d9b5fa6a33aa11cccb61caec3b537">empty</a> () const </td></tr>
<tr class="memdesc:a538d9b5fa6a33aa11cccb61caec3b537"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this is a null object. <br /></td></tr>
<tr class="separator:a538d9b5fa6a33aa11cccb61caec3b537"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95256d70d13bae03384e1c039c6966d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95256d70d13bae03384e1c039c6966d2"></a>
<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a95256d70d13bae03384e1c039c6966d2">fromEulerAngles</a> (const <a class="el" href="struct_xs_euler.html">XsEuler</a> &amp;src)</td></tr>
<tr class="memdesc:a95256d70d13bae03384e1c039c6966d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a quaternion representation from <em>euler</em> angles. <br /></td></tr>
<tr class="separator:a95256d70d13bae03384e1c039c6966d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2886748ed1f1c537917134edc0b2aaaa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2886748ed1f1c537917134edc0b2aaaa"></a>
<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a2886748ed1f1c537917134edc0b2aaaa">fromRotationMatrix</a> (const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> &amp;ori)</td></tr>
<tr class="memdesc:a2886748ed1f1c537917134edc0b2aaaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a quaternion representation of orientation matrix <em>ori</em>. <br /></td></tr>
<tr class="separator:a2886748ed1f1c537917134edc0b2aaaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa613614eea7e98f3caa8e1fc29b6763a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#aa613614eea7e98f3caa8e1fc29b6763a">operator*=</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;other)</td></tr>
<tr class="memdesc:aa613614eea7e98f3caa8e1fc29b6763a"><td class="mdescLeft">&#160;</td><td class="mdescRight">In-place multiplication of this quaternion with <em>other</em> quaternion.  <a href="#aa613614eea7e98f3caa8e1fc29b6763a">More...</a><br /></td></tr>
<tr class="separator:aa613614eea7e98f3caa8e1fc29b6763a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adee6a0c2d5fc72a2c3d2d8ad99bf5aab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adee6a0c2d5fc72a2c3d2d8ad99bf5aab"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#adee6a0c2d5fc72a2c3d2d8ad99bf5aab">w</a> () const </td></tr>
<tr class="memdesc:adee6a0c2d5fc72a2c3d2d8ad99bf5aab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the w component of the quaternion. <br /></td></tr>
<tr class="separator:adee6a0c2d5fc72a2c3d2d8ad99bf5aab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6498bd5f41ea27986663f66605e79b0a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6498bd5f41ea27986663f66605e79b0a"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a6498bd5f41ea27986663f66605e79b0a">x</a> () const </td></tr>
<tr class="memdesc:a6498bd5f41ea27986663f66605e79b0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the x component of the quaternion. <br /></td></tr>
<tr class="separator:a6498bd5f41ea27986663f66605e79b0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0c12c48de15dd15ff1f5f573a60a6dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa0c12c48de15dd15ff1f5f573a60a6dd"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#aa0c12c48de15dd15ff1f5f573a60a6dd">y</a> () const </td></tr>
<tr class="memdesc:aa0c12c48de15dd15ff1f5f573a60a6dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the y component of the quaternion. <br /></td></tr>
<tr class="separator:aa0c12c48de15dd15ff1f5f573a60a6dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8ed5388d72efe578c298cf88e734713"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8ed5388d72efe578c298cf88e734713"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#ad8ed5388d72efe578c298cf88e734713">z</a> () const </td></tr>
<tr class="memdesc:ad8ed5388d72efe578c298cf88e734713"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the z component of the quaternion. <br /></td></tr>
<tr class="separator:ad8ed5388d72efe578c298cf88e734713"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a288f7317ab62ead269aebbbfbba2f861"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a288f7317ab62ead269aebbbfbba2f861"></a>
XsReal &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a288f7317ab62ead269aebbbfbba2f861">w</a> ()</td></tr>
<tr class="memdesc:a288f7317ab62ead269aebbbfbba2f861"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a reference to the w component of the quaternion. <br /></td></tr>
<tr class="separator:a288f7317ab62ead269aebbbfbba2f861"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4afa67e3bbaa90a2af7cb03fd965c2e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa4afa67e3bbaa90a2af7cb03fd965c2e"></a>
XsReal &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#aa4afa67e3bbaa90a2af7cb03fd965c2e">x</a> ()</td></tr>
<tr class="memdesc:aa4afa67e3bbaa90a2af7cb03fd965c2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a reference to the x component of the quaternion. <br /></td></tr>
<tr class="separator:aa4afa67e3bbaa90a2af7cb03fd965c2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ef7eae14a891529037d15277060fd98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ef7eae14a891529037d15277060fd98"></a>
XsReal &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a8ef7eae14a891529037d15277060fd98">y</a> ()</td></tr>
<tr class="memdesc:a8ef7eae14a891529037d15277060fd98"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a reference to the y component of the quaternion. <br /></td></tr>
<tr class="separator:a8ef7eae14a891529037d15277060fd98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99ab07a83777ed2c58c074e49652bc62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a99ab07a83777ed2c58c074e49652bc62"></a>
XsReal &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a99ab07a83777ed2c58c074e49652bc62">z</a> ()</td></tr>
<tr class="memdesc:a99ab07a83777ed2c58c074e49652bc62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a reference to the z component of the quaternion. <br /></td></tr>
<tr class="separator:a99ab07a83777ed2c58c074e49652bc62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf2ed263ea0bff2594d57b8c3c062a7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf2ed263ea0bff2594d57b8c3c062a7f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#acf2ed263ea0bff2594d57b8c3c062a7f">swap</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;other)</td></tr>
<tr class="memdesc:acf2ed263ea0bff2594d57b8c3c062a7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Swap the contents with <em>other</em>. <br /></td></tr>
<tr class="separator:acf2ed263ea0bff2594d57b8c3c062a7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958b7c4f699db665eedeb0a89f2dadcc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a958b7c4f699db665eedeb0a89f2dadcc"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a958b7c4f699db665eedeb0a89f2dadcc">operator==</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;other) const </td></tr>
<tr class="memdesc:a958b7c4f699db665eedeb0a89f2dadcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if <em>other</em> is numerically identical to this. <br /></td></tr>
<tr class="separator:a958b7c4f699db665eedeb0a89f2dadcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c4c678cc30e7f5d6d5ace4290444dd7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c4c678cc30e7f5d6d5ace4290444dd7"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a2c4c678cc30e7f5d6d5ace4290444dd7">compare</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;other, XsReal tolerance) const </td></tr>
<tr class="memdesc:a2c4c678cc30e7f5d6d5ace4290444dd7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the fields of this and <em>other</em> are within <em>tolerance</em> of each otehr. <br /></td></tr>
<tr class="separator:a2c4c678cc30e7f5d6d5ace4290444dd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16d985329ad5eecce41550e306915388"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16d985329ad5eecce41550e306915388"></a>
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#a16d985329ad5eecce41550e306915388">dotProduct</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;other) const </td></tr>
<tr class="memdesc:a16d985329ad5eecce41550e306915388"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the dot product of this with <em>other</em>. <br /></td></tr>
<tr class="separator:a16d985329ad5eecce41550e306915388"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af8d458cba1c5f05f6edbdc7c7c89522c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8d458cba1c5f05f6edbdc7c7c89522c"></a>
static const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_quaternion.html#af8d458cba1c5f05f6edbdc7c7c89522c">identity</a> ()</td></tr>
<tr class="memdesc:af8d458cba1c5f05f6edbdc7c7c89522c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an <a class="el" href="struct_xs_quaternion.html" title="A class that implements a quaternion. ">XsQuaternion</a> that represents the identity quaternion. <br /></td></tr>
<tr class="separator:af8d458cba1c5f05f6edbdc7c7c89522c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aaba8836d77c45393133e8c332fce41e8"><td class="memItemLeft" ><a class="anchor" id="aaba8836d77c45393133e8c332fce41e8"></a>
union {</td></tr>
<tr class="memitem:a7ff42e6fc2db6f67093dad22530dd543"><td class="memItemLeft" ><a class="anchor" id="a7ff42e6fc2db6f67093dad22530dd543"></a>
&#160;&#160;&#160;struct {</td></tr>
<tr class="memitem:a4fd53d06b838a28a96105a4ade7e4f85"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;XsReal&#160;&#160;&#160;<a class="el" href="struct_xs_quaternion.html#a27c58d00a24f29cf0783d21c6ffcd559">m_w</a></td></tr>
<tr class="memdesc:a4fd53d06b838a28a96105a4ade7e4f85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the w component of the quaternion. <br /></td></tr>
<tr class="separator:a4fd53d06b838a28a96105a4ade7e4f85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1174bf79763991be1f050f000710e0a"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;XsReal&#160;&#160;&#160;<a class="el" href="struct_xs_quaternion.html#aa34abe10a8a3587e7d416456f6d88677">m_x</a></td></tr>
<tr class="memdesc:ab1174bf79763991be1f050f000710e0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the x component of the quaternion. <br /></td></tr>
<tr class="separator:ab1174bf79763991be1f050f000710e0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a1e21630f3aa7e417064e2e386c92f3"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;XsReal&#160;&#160;&#160;<a class="el" href="struct_xs_quaternion.html#a57bdc5cccdd23e222978b1645ec9d04e">m_y</a></td></tr>
<tr class="memdesc:a4a1e21630f3aa7e417064e2e386c92f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the y component of the quaternion. <br /></td></tr>
<tr class="separator:a4a1e21630f3aa7e417064e2e386c92f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae42c067e3a66c59a9b824033361aa094"><td class="memItemLeft" >
&#160;&#160;&#160;&#160;&#160;&#160;XsReal&#160;&#160;&#160;<a class="el" href="struct_xs_quaternion.html#a28f191684b30a770da6a1f6a9d227e00">m_z</a></td></tr>
<tr class="memdesc:ae42c067e3a66c59a9b824033361aa094"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the z component of the quaternion. <br /></td></tr>
<tr class="separator:ae42c067e3a66c59a9b824033361aa094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ff42e6fc2db6f67093dad22530dd543"><td class="memItemLeft" valign="top">&#160;&#160;&#160;}&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:a7ff42e6fc2db6f67093dad22530dd543"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1950135d69ac3646bf00c3504c5ef41a"><td class="memItemLeft" >
&#160;&#160;&#160;XsReal&#160;&#160;&#160;<a class="el" href="struct_xs_quaternion.html#a32a3d44401dac6bee053d691dc0ad824">m_data</a> [4]</td></tr>
<tr class="memdesc:a1950135d69ac3646bf00c3504c5ef41a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores the quaternion in an array of four elements. <br /></td></tr>
<tr class="separator:a1950135d69ac3646bf00c3504c5ef41a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaba8836d77c45393133e8c332fce41e8"><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="separator:aaba8836d77c45393133e8c332fce41e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:ga1f1b3ad304657c3af6a6023bbf01c30e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga1f1b3ad304657c3af6a6023bbf01c30e">XsQuaternion_destruct</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *)</td></tr>
<tr class="memdesc:ga1f1b3ad304657c3af6a6023bbf01c30e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the contents to 0, which is an invalid <a class="el" href="struct_xs_quaternion.html" title="A class that implements a quaternion. ">XsQuaternion</a>.  <a href="group__cinterface.html#ga1f1b3ad304657c3af6a6023bbf01c30e">More...</a><br /></td></tr>
<tr class="separator:ga1f1b3ad304657c3af6a6023bbf01c30e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga97d14c31ff258dab9129d882b02103f4"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga97d14c31ff258dab9129d882b02103f4">XsQuaternion_empty</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *)</td></tr>
<tr class="memdesc:ga97d14c31ff258dab9129d882b02103f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this is a null object. <br /></td></tr>
<tr class="separator:ga97d14c31ff258dab9129d882b02103f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga217fd03f808db0b06765e3bbb85fc9cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga217fd03f808db0b06765e3bbb85fc9cb">XsQuaternion_invert</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *)</td></tr>
<tr class="memdesc:ga217fd03f808db0b06765e3bbb85fc9cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invert this quaternion.  <a href="group__cinterface.html#ga217fd03f808db0b06765e3bbb85fc9cb">More...</a><br /></td></tr>
<tr class="separator:ga217fd03f808db0b06765e3bbb85fc9cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6b7269b337234843b87fd7df7f68efa2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga6b7269b337234843b87fd7df7f68efa2">XsQuaternion_inverse</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *, <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *dest)</td></tr>
<tr class="memdesc:ga6b7269b337234843b87fd7df7f68efa2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compute the inverse/conjugate of this quaternion.  <a href="group__cinterface.html#ga6b7269b337234843b87fd7df7f68efa2">More...</a><br /></td></tr>
<tr class="separator:ga6b7269b337234843b87fd7df7f68efa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga00c462b4e47fccbf9c363016cf634082"><td class="memItemLeft" align="right" valign="top">
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga00c462b4e47fccbf9c363016cf634082">XsQuaternion_normalized</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *, <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *dest)</td></tr>
<tr class="memdesc:ga00c462b4e47fccbf9c363016cf634082"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a normalized version of this quaternion. <br /></td></tr>
<tr class="separator:ga00c462b4e47fccbf9c363016cf634082"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga43ebe154b533b0a06c7f13f6a1a467d7"><td class="memItemLeft" align="right" valign="top">
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga43ebe154b533b0a06c7f13f6a1a467d7">XsQuaternion_normalize</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *)</td></tr>
<tr class="memdesc:ga43ebe154b533b0a06c7f13f6a1a467d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize this quaternion. <br /></td></tr>
<tr class="separator:ga43ebe154b533b0a06c7f13f6a1a467d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83391ceba3832268f3c65985d12d041b"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga83391ceba3832268f3c65985d12d041b">XsQuaternion_fromEulerAngles</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *, const <a class="el" href="struct_xs_euler.html">XsEuler</a> *src)</td></tr>
<tr class="memdesc:ga83391ceba3832268f3c65985d12d041b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a quaternion representation from <em>euler</em> angles. <br /></td></tr>
<tr class="separator:ga83391ceba3832268f3c65985d12d041b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5021de7e1f89887d357b80e69c15d5ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga5021de7e1f89887d357b80e69c15d5ba">XsQuaternion_fromRotationMatrix</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *, const <a class="el" href="struct_xs_matrix.html">XsMatrix</a> *ori)</td></tr>
<tr class="memdesc:ga5021de7e1f89887d357b80e69c15d5ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a quaternion representation of orientation matrix <em>ori</em>.  <a href="group__cinterface.html#ga5021de7e1f89887d357b80e69c15d5ba">More...</a><br /></td></tr>
<tr class="separator:ga5021de7e1f89887d357b80e69c15d5ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga593ee51ef335cbc420bb7ea13c453156"><td class="memItemLeft" align="right" valign="top">
const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga593ee51ef335cbc420bb7ea13c453156">XsQuaternion_identity</a> (void)</td></tr>
<tr class="memdesc:ga593ee51ef335cbc420bb7ea13c453156"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an <a class="el" href="struct_xs_quaternion.html" title="A class that implements a quaternion. ">XsQuaternion</a> that represents the identity quaternion. <br /></td></tr>
<tr class="separator:ga593ee51ef335cbc420bb7ea13c453156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3a0440c029b3ede9752761cffc902151"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga3a0440c029b3ede9752761cffc902151">XsQuaternion_multiply</a> (const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *left, const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *right, <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *dest)</td></tr>
<tr class="memdesc:ga3a0440c029b3ede9752761cffc902151"><td class="mdescLeft">&#160;</td><td class="mdescRight">Multiply <em>left</em> quaternion with <em>right</em> quaternion and put the result in <em>dest</em>. The parameters may point to the same <a class="el" href="struct_xs_quaternion.html" title="A class that implements a quaternion. ">XsQuaternion(s)</a>. <br /></td></tr>
<tr class="separator:ga3a0440c029b3ede9752761cffc902151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga91ddb691c1f925c8ead506706bda469d"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga91ddb691c1f925c8ead506706bda469d">XsQuaternion_swap</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *a, <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *b)</td></tr>
<tr class="memdesc:ga91ddb691c1f925c8ead506706bda469d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Swap the contents of <em>a</em> and <em>b</em>. <br /></td></tr>
<tr class="separator:ga91ddb691c1f925c8ead506706bda469d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51869125847cbfb122309dba983f2162"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga51869125847cbfb122309dba983f2162">XsQuaternion_copy</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> *copy, <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> const *src)</td></tr>
<tr class="memdesc:ga51869125847cbfb122309dba983f2162"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copies the contents of <em>thisPtr</em> into <em>copy</em>. <br /></td></tr>
<tr class="separator:ga51869125847cbfb122309dba983f2162"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga066fd219bed3ec664d2e37fda22f664f"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga066fd219bed3ec664d2e37fda22f664f">XsQuaternion_equal</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> const *a, <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> const *b)</td></tr>
<tr class="memdesc:ga066fd219bed3ec664d2e37fda22f664f"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns non-zero if <em>a</em> and <em>b</em> are numerically equal <br /></td></tr>
<tr class="separator:ga066fd219bed3ec664d2e37fda22f664f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa32b7bd379659bc7336601971fb52f3e"><td class="memItemLeft" align="right" valign="top">
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaa32b7bd379659bc7336601971fb52f3e">XsQuaternion_compare</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> const *, <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> const *other, XsReal tolerance)</td></tr>
<tr class="memdesc:gaa32b7bd379659bc7336601971fb52f3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns non-zero if the values at <em>thisPtr</em> and <em>other</em> are within <em>tolerance</em> of each other. <br /></td></tr>
<tr class="separator:gaa32b7bd379659bc7336601971fb52f3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2be524390f3dd1cbd6f8872ac4d0be77"><td class="memItemLeft" align="right" valign="top">
XsReal&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga2be524390f3dd1cbd6f8872ac4d0be77">XsQuaternion_dotProduct</a> (<a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> const *, <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> const *other)</td></tr>
<tr class="memdesc:ga2be524390f3dd1cbd6f8872ac4d0be77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the dot product of the <em>thisPtr</em> with <em>other</em>. <br /></td></tr>
<tr class="separator:ga2be524390f3dd1cbd6f8872ac4d0be77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A class that implements a quaternion. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ad9e08d5ab8b46d8d0a3d968b9961a58f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsQuaternion::assign </td>
          <td>(</td>
          <td class="paramtype">const XsReal *&#160;</td>
          <td class="paramname"><em>values</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the Quaternion to the specific values in the supplied array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">values</td><td>An array that contains at least 4 items. The first four will be interpreted as w,x,y,z </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab499deba1d1bf69c98ac099a24e74b31"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> XsQuaternion::conjugate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute the inverse/conjugate of this quaternion. </p>
<dl class="section return"><dt>Returns</dt><dd>The inverse/conjugate of the quaternion </dd></dl>

</div>
</div>
<a class="anchor" id="a8ed99196f31a83677c1267cab668a370"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> XsQuaternion::inverse </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Compute the inverse/conjugate of this quaternion. </p>
<dl class="section return"><dt>Returns</dt><dd>The inverse/conjugate of the quaternion </dd></dl>

</div>
</div>
<a class="anchor" id="a8a2db4f6eba49aa30c06c9e7ed55a309"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsReal XsQuaternion::normalize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Normalize the quaternion. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga00c462b4e47fccbf9c363016cf634082" title="Create a normalized version of this quaternion. ">XsQuaternion_normalized</a> </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>The cartesian length of the quaternion before normalization </dd></dl>

</div>
</div>
<a class="anchor" id="a329813e64c445b67bd0ed00aece06831"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> XsQuaternion::normalized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return a normalized version of the quaternion. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga00c462b4e47fccbf9c363016cf634082" title="Create a normalized version of this quaternion. ">XsQuaternion_normalized</a> </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>The normalized quaternion </dd></dl>

</div>
</div>
<a class="anchor" id="aa613614eea7e98f3caa8e1fc29b6763a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsQuaternion::operator*= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_quaternion.html">XsQuaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>In-place multiplication of this quaternion with <em>other</em> quaternion. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>The other quaternion to multiply with (right side of multiplication) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga3a0440c029b3ede9752761cffc902151" title="Multiply left quaternion with right quaternion and put the result in dest. The parameters may point t...">XsQuaternion_multiply()</a> </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
